#--------------------------------------------------------------------------
# A SICS-tcl-macro script for formatting the parameters for the 
# reflectometer AMOR's status display.
#
# Mark Koennecke, October 1999
#-------------------------------------------------------------------------
proc amorpar {} {
   lappend list "amorpar == "
   lappend list [lastscancommand] ";"
    catch {scan getvars} msg
   lappend list $msg ";"
   lappend list [xxxscan getfile] ";"
   lappend list [sicstime] ";"
   set ret [catch {temperature} msg]
   if {$ret == 0} {
       lappend list $msg
   }
   set ret [catch {magnet} msg]
   if {$ret == 0} {
       lappend list $msg
   }
   return [join $list]
}